Localisation issue : trackers / status are not localisable

2010-01-27 16:57 - Philippe AUDIBERT

Status: Closed Start date: 2010-01-27

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.8.6

Description

Hello, I use the 0.8.6.stable on debian linux.

it seems that trackers and status are not localisable.

we have different project with different locales, and localisation is an issue.

the only workaround i found is to create differents workflow, with duplicated trackers and status for different projects !! I'm not

satisfied with that.

Do you plan a version with localisation for these tables (additional fields, trackers etc...)

other similar issue in the budget plugin, budget and rate are in USD only and cannot be setup in EUR...

Regards

Philippe

Related issues:

Related to Redmine - Feature #3972: Translation for field values New 2009-10-05

History

#1 - 2010-01-27 16:59 - Philippe AUDIBERT

I think this ticket : #3972 refer to the same problem...

#2 - 2010-01-27 17:17 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Duplicate

It is the same query, apart from the plugin. Please contact the author of the plugin for any requests for that.

Regarding the localization of statuses and other user-definable names: I think it's already mentioned in the other ticket, but long story short: redmine

can't ship with translations for every imaginable status a user would create, nor is the idea to give the ability to users to input every other translation

on the redmine page that compelling.

Depending on your ruby skills, you might be interested in a discussion I had some days ago on the forum outlining the steps to create a plugin that

would provide a means to localize tracker names. Be warned though that it is more speculation than something I tried, and that you'd have a little

more work to get it to work for statuses.

#3 - 2011-02-24 08:41 - Luis Serrano Aranda

This plugin makes the translation and works http://ociotec.com/redmine/projects/localizable

Powered by TCPDF (www.tcpdf.org)

2025-07-06 1/1

https://www.redmine.org/issues/3972
http://www.redmine.org/boards/2/topics/10741
http://ociotec.com/redmine/projects/localizable
http://www.tcpdf.org

